VideoPodcast-0.2.1

Discussion about user contributed plugins

Moderator: Moderator

flow
Posts: 5
Joined: Sun Oct 18, 2009 11:03 pm

Re: VideoPodcast-0.2.1

Postby flow » Sun Oct 25, 2009 12:10 pm

Hi,

I'm managed to install debvision on my S100 but now I'm also having trouble with the VideoPodcast pyglet.
When I try to start it the red busy indicator dot shows up on the screen for a couple of seconds but
vanish a bit later and nothing happens.

I ran the doctests. No errors on the later two but running the
python FeedStateDB.py
shows following.

Code: Select all

etchbox:/usr/share/mms/scripts/videopodcast-0.2.1/lib# python FeedStateDB.py
  File "FeedStateDB.py", line 100
    return result[0] if result != None else 0
                      ^
SyntaxError: invalid syntax


Can someone please help?

LivingOn
Posts: 64
Joined: Sat Dec 06, 2008 2:19 pm

Re: VideoPodcast-0.2.1

Postby LivingOn » Sun Oct 25, 2009 5:15 pm

Hi flow,

strange error :|
which python version?
you edit the files with a windows-editor?

flow
Posts: 5
Joined: Sun Oct 18, 2009 11:03 pm

Re: VideoPodcast-0.2.1

Postby flow » Sun Oct 25, 2009 7:54 pm

Hi,

hm, ok on the second thought I think I got an old python version.
I'll try to intstall a newer one.

Code: Select all

etchbox:~# apt-cache policy python
python:
  Installiert:2.4.4-2
  Mögliche Pakete:2.4.4-2
  Versions-Tabelle:
 *** 2.4.4-2 0
        500 http://ftp.de.debian.org etch/main Packages
        100 /var/lib/dpkg/status


I haven't edited the files yet and I'm currently giving Linux a try so I'm not
using a windows editor ;)

User avatar
Uatschitchun
Overlord
Posts: 3189
Joined: Tue Dec 06, 2005 6:55 pm
Location: Germany
Contact:

Re: VideoPodcast-0.2.1

Postby Uatschitchun » Mon Oct 26, 2009 6:56 am

Use python-2.5! Some pyglets do not work with newer versions!
Lg
Roman

flow
Posts: 5
Joined: Sun Oct 18, 2009 11:03 pm

Re: VideoPodcast-0.2.1

Postby flow » Tue Oct 27, 2009 6:10 pm

hm, tried to install different python versions but nothing really helped.
Not sure if I did it properly, tho. Just followed the README instructions.
I uninstalled the newer versions after I read Romans post and tried to get version 2.5 with
"apt-get install python2.5" but got the message that it would already be installed on the system

Code: Select all

etchbox:/usr/share/mms/scripts/videopodcast-0.2.1/lib# apt-get install python2.5
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut... Fertig
python2.5 ist schon die neueste Version.
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.

After installing and uninstalling the errormessages from running the doctests changed.

$ python FeedStateDB.py
changed to

Code: Select all

etchbox:/usr/share/mms/scripts/videopodcast-0.2.1/lib# python FeedStateDB.py
Traceback (most recent call last):
  File "FeedStateDB.py", line 25, in <module>
    import sqlite3
  File "/usr/local/lib/python2.6/sqlite3/__init__.py", line 24, in <module>
    from dbapi2 import *
  File "/usr/local/lib/python2.6/sqlite3/dbapi2.py", line 27, in <module>
    from _sqlite3 import *
ImportError: No module named _sqlite3


and running
python VideoPodcastParser.py
results in this:

Code: Select all

etchbox:/usr/share/mms/scripts/videopodcast-0.2.1/lib# python VideoPodcastParser.py
Traceback (most recent call last):
  File "VideoPodcastParser.py", line 24, in <module>
    import feedparser
ImportError: No module named feedparser


not sure what to do now. Looks like it searches for a 2.6 version which isn't there anymore.
Any hints?
Is there a chance for someone with very limited linux knowledge like me to get this running?

User avatar
Uatschitchun
Overlord
Posts: 3189
Joined: Tue Dec 06, 2005 6:55 pm
Location: Germany
Contact:

Re: VideoPodcast-0.2.1

Postby Uatschitchun » Tue Oct 27, 2009 6:39 pm

You need to compile MMS with python2.5, too! If python2.6-dev is installed, remove it and install python2.5-dev

Else you may edit configure
Lg

Roman

User avatar
Uatschitchun
Overlord
Posts: 3189
Joined: Tue Dec 06, 2005 6:55 pm
Location: Germany
Contact:

Re: VideoPodcast-0.2.1

Postby Uatschitchun » Wed Nov 11, 2009 7:04 am

@LivingOn:
Could you pls have a look at:
http://bugs.mymediasystem.org/?do=details&task_id=1040
Lg

Roman

User avatar
Uatschitchun
Overlord
Posts: 3189
Joined: Tue Dec 06, 2005 6:55 pm
Location: Germany
Contact:

Re: VideoPodcast-0.2.1

Postby Uatschitchun » Mon Feb 08, 2010 7:53 pm

Pyglet does not work anymore ?!

Getting:

Code: Select all

Traceback (most recent call last):
  File "/etc/mms/scripts/videopodcast-0.2.1/main.py", line 39, in <module>
    win = VideoPodcastWindow()
  File "/etc/mms/scripts/videopodcast-0.2.1/lib/VideoPodcastWindow.py", line 70, in __init__
    self._urldb = UrlDB(config.VIDEOPODCAST_INI)
AttributeError: 'module' object has no attribute 'VIDEOPODCAST_INI'
PyRun_SimpleFile return -1


Hm ... I'm only getting this, if prior to using cc2tv another pyglet gave an error (like ardmediathek or zdfmediathek) ...?!
Lg

Roman


Return to “user plugins”

Who is online

Users browsing this forum: No registered users and 1 guest